Index: branches/1.3/gui/scripts/vtkviewer.tcl
===================================================================
--- branches/1.3/gui/scripts/vtkviewer.tcl	(revision 4828)
+++ branches/1.3/gui/scripts/vtkviewer.tcl	(revision 4848)
@@ -1992,82 +1830,10 @@
 }
 
-itcl::body Rappture::VtkViewer::BuildGlyphsTab {} {
+itcl::body Rappture::VtkViewer::BuildPolydataTab {} {
 
     set fg [option get $itk_component(hull) font Font]
     #set bfg [option get $itk_component(hull) boldFont Font]
 
-    set inner [$itk_component(main) insert 0 \
-        -title "Glyph Settings" \
-        -icon [Rappture::icon volume-on]]
-    $inner configure -borderwidth 4
-
-    checkbutton $inner.glyphs \
-        -text "Show Glyphs" \
-        -variable [itcl::scope _settings(glyphs-visible)] \
-        -command [itcl::code $this AdjustSetting glyphs-visible] \
-        -font "Arial 9" -anchor w 
-
-    checkbutton $inner.outline \
-        -text "Show Outline" \
-        -variable [itcl::scope _settings(glyphs-outline)] \
-        -command [itcl::code $this AdjustSetting glyphs-outline] \
-        -font "Arial 9" -anchor w 
-
-    checkbutton $inner.wireframe \
-        -text "Show Wireframe" \
-        -variable [itcl::scope _settings(glyphs-wireframe)] \
-        -command [itcl::code $this AdjustSetting glyphs-wireframe] \
-        -font "Arial 9" -anchor w 
-
-    checkbutton $inner.lighting \
-        -text "Enable Lighting" \
-        -variable [itcl::scope _settings(glyphs-lighting)] \
-        -command [itcl::code $this AdjustSetting glyphs-lighting] \
-        -font "Arial 9" -anchor w
-
-    checkbutton $inner.edges \
-        -text "Show Edges" \
-        -variable [itcl::scope _settings(glyphs-edges)] \
-        -command [itcl::code $this AdjustSetting glyphs-edges] \
-        -font "Arial 9" -anchor w
-
-    label $inner.palette_l -text "Palette" -font "Arial 9" -anchor w 
-    itk_component add glyphspalette {
-        Rappture::Combobox $inner.palette -width 10 -editable no
-    }
-    $inner.palette choices insert end [GetColormapList]
-    $itk_component(glyphspalette) value "BCGYR"
-    bind $inner.palette <<Value>> \
-        [itcl::code $this AdjustSetting glyphs-palette]
-
-    label $inner.opacity_l -text "Opacity" -font "Arial 9" -anchor w 
-    ::scale $inner.opacity -from 0 -to 100 -orient horizontal \
-        -variable [itcl::scope _settings(glyphs-opacity)] \
-        -width 10 \
-        -showvalue off \
-        -command [itcl::code $this EventuallySetGlyphsOpacity]
-    $inner.opacity set $_settings(glyphs-opacity)
-
-    blt::table $inner \
-        0,0 $inner.glyphs    -cspan 2  -anchor w -pady 2 \
-        1,0 $inner.outline   -cspan 2  -anchor w -pady 2 \
-        2,0 $inner.wireframe -cspan 2  -anchor w -pady 2 \
-        3,0 $inner.lighting  -cspan 2  -anchor w -pady 2 \
-        4,0 $inner.edges     -cspan 2  -anchor w -pady 2 \
-        5,0 $inner.opacity_l -anchor w -pady 2 \
-        5,1 $inner.opacity   -fill x   -pady 2 \
-        6,0 $inner.palette_l -anchor w -pady 2 \
-        6,1 $inner.palette   -fill x   -pady 2  
-
-    blt::table configure $inner r* c* -resize none
-    blt::table configure $inner r8 c1 -resize expand
-}
-
-itcl::body Rappture::VtkViewer::BuildPolydataTab {} {
-
-    set fg [option get $itk_component(hull) font Font]
-    #set bfg [option get $itk_component(hull) boldFont Font]
-
-    set inner [$itk_component(main) insert 0 \
+    set inner [$itk_component(main) insert end \
         -title "Mesh Settings" \
         -icon [Rappture::icon mesh]]
@@ -2080,10 +1846,4 @@
         -font "Arial 9" -anchor w 
 
-    checkbutton $inner.outline \
-        -text "Show Outline" \
-        -variable [itcl::scope _settings(polydata-outline)] \
-        -command [itcl::code $this AdjustSetting polydata-outline] \
-        -font "Arial 9" -anchor w 
-
     checkbutton $inner.wireframe \
         -text "Show Wireframe" \
@@ -2108,5 +1868,22 @@
         Rappture::Combobox $inner.palette -width 10 -editable no
     }
-    $inner.palette choices insert end [GetColormapList]
+    $inner.palette choices insert end \
+        "BCGYR"              "BCGYR"            \
+        "BGYOR"              "BGYOR"            \
+        "blue"               "blue"             \
+        "blue-to-brown"      "blue-to-brown"    \
+        "blue-to-orange"     "blue-to-orange"   \
+        "blue-to-grey"       "blue-to-grey"     \
+        "green-to-magenta"   "green-to-magenta" \
+        "greyscale"          "greyscale"        \
+        "nanohub"            "nanohub"          \
+        "rainbow"            "rainbow"          \
+        "spectral"           "spectral"         \
+        "ROYGB"              "ROYGB"            \
+        "RYGCB"              "RYGCB"            \
+        "brown-to-blue"      "brown-to-blue"    \
+        "grey-to-blue"       "grey-to-blue"     \
+        "orange-to-blue"     "orange-to-blue"   
+
     $itk_component(meshpalette) value "BCGYR"
     bind $inner.palette <<Value>> \
@@ -2118,20 +1895,19 @@
         -width 10 \
         -showvalue off \
-        -command [itcl::code $this EventuallySetPolydataOpacity]
+        -command [itcl::code $this AdjustSetting polydata-opacity]
     $inner.opacity set $_settings(polydata-opacity)
 
     blt::table $inner \
         0,0 $inner.mesh      -cspan 2  -anchor w -pady 2 \
-        1,0 $inner.outline   -cspan 2  -anchor w -pady 2 \
-        2,0 $inner.wireframe -cspan 2  -anchor w -pady 2 \
-        3,0 $inner.lighting  -cspan 2  -anchor w -pady 2 \
-        4,0 $inner.edges     -cspan 2  -anchor w -pady 2 \
-        5,0 $inner.opacity_l -anchor w -pady 2 \
-        5,1 $inner.opacity   -fill x   -pady 2 \
-        6,0 $inner.palette_l -anchor w -pady 2 \
-        6,1 $inner.palette   -fill x   -pady 2  
+        1,0 $inner.wireframe -cspan 2  -anchor w -pady 2 \
+        2,0 $inner.lighting  -cspan 2  -anchor w -pady 2 \
+        3,0 $inner.edges     -cspan 2  -anchor w -pady 2 \
+        4,0 $inner.opacity_l -anchor w -pady 2 \
+        4,1 $inner.opacity   -fill x   -pady 2 \
+        5,0 $inner.palette_l -anchor w -pady 2 \
+        5,1 $inner.palette   -fill x   -pady 2  
 
     blt::table configure $inner r* c* -resize none
-    blt::table configure $inner r8 c1 -resize expand
+    blt::table configure $inner r7 c1 -resize expand
 }
 
@@ -2143,9 +1919,9 @@
     set inner [$itk_component(main) insert end \
         -title "Axis Settings" \
-        -icon [Rappture::icon axis2]]
+        -icon [Rappture::icon axis1]]
     $inner configure -borderwidth 4
 
     checkbutton $inner.visible \
-        -text "Axes" \
+        -text "Show Axes" \
         -variable [itcl::scope _axis(visible)] \
         -command [itcl::code $this AdjustSetting axis-visible] \
@@ -2153,29 +1929,24 @@
 
     checkbutton $inner.labels \
-        -text "Axis Labels" \
+        -text "Show Axis Labels" \
         -variable [itcl::scope _axis(labels)] \
         -command [itcl::code $this AdjustSetting axis-labels] \
         -font "Arial 9"
-    label $inner.grid_l -text "Grid" -font "Arial 9" 
-    checkbutton $inner.xgrid \
-        -text "X" \
+
+    checkbutton $inner.gridx \
+        -text "Show X Grid" \
         -variable [itcl::scope _axis(xgrid)] \
         -command [itcl::code $this AdjustSetting axis-xgrid] \
         -font "Arial 9"
-    checkbutton $inner.ygrid \
-        -text "Y" \
+    checkbutton $inner.gridy \
+        -text "Show Y Grid" \
         -variable [itcl::scope _axis(ygrid)] \
         -command [itcl::code $this AdjustSetting axis-ygrid] \
         -font "Arial 9"
-    checkbutton $inner.zgrid \
-        -text "Z" \
+    checkbutton $inner.gridz \
+        -text "Show Z Grid" \
         -variable [itcl::scope _axis(zgrid)] \
         -command [itcl::code $this AdjustSetting axis-zgrid] \
         -font "Arial 9"
-    checkbutton $inner.minorticks \
-        -text "Minor Ticks" \
-        -variable [itcl::scope _axis(minorticks)] \
-        -command [itcl::code $this AdjustSetting axis-minorticks] \
-        -font "Arial 9"
 
     label $inner.mode_l -text "Mode" -font "Arial 9" 
@@ -2187,5 +1958,5 @@
         "static_triad"    "static" \
         "closest_triad"   "closest" \
-        "furthest_triad"  "farthest" \
+        "furthest_triad"  "furthest" \
         "outer_edges"     "outer"         
     $itk_component(axismode) value "static"
@@ -2193,17 +1964,14 @@
 
     blt::table $inner \
-        0,0 $inner.visible -anchor w -cspan 4 \
-        1,0 $inner.labels  -anchor w -cspan 4 \
-        2,0 $inner.minorticks  -anchor w -cspan 4 \
-        4,0 $inner.grid_l  -anchor w \
-        4,1 $inner.xgrid   -anchor w \
-        4,2 $inner.ygrid   -anchor w \
-        4,3 $inner.zgrid   -anchor w \
-        5,0 $inner.mode_l  -anchor w -padx { 2 0 } \
-        5,1 $inner.mode    -fill x   -cspan 3
+        0,0 $inner.visible -anchor w -cspan 2 \
+        1,0 $inner.labels  -anchor w -cspan 2 \
+        2,0 $inner.gridx   -anchor w -cspan 2 \
+        3,0 $inner.gridy   -anchor w -cspan 2 \
+        4,0 $inner.gridz   -anchor w -cspan 2 \
+        5,0 $inner.mode_l  -anchor w -cspan 2 -padx { 2 0 } \
+        6,0 $inner.mode    -fill x   -cspan 2 
 
     blt::table configure $inner r* c* -resize none
-    blt::table configure $inner r7 c6 -resize expand
-    blt::table configure $inner r3 -height 0.125i
+    blt::table configure $inner r7 c1 -resize expand
 }
 
@@ -2226,5 +1994,4 @@
         0,0 $inner.view_l -anchor e -pady 2 \
         0,1 $inner.view -anchor w -pady 2
-    blt::table configure $inner r0 -resize none
 
     set labels { qx qy qz qw xpan ypan zoom }
@@ -2233,9 +2000,7 @@
         label $inner.${tag}label -text $tag -font "Arial 9"
         entry $inner.${tag} -font "Arial 9"  -bg white \
-            -textvariable [itcl::scope _view(-$tag)]
-        bind $inner.${tag} <Return> \
-            [itcl::code $this camera set -${tag}]
-        bind $inner.${tag} <KP_Enter> \
-            [itcl::code $this camera set -${tag}]
+            -textvariable [itcl::scope _view($tag)]
+        bind $inner.${tag} <KeyPress-Return> \
+            [itcl::code $this camera set ${tag}]
         blt::table $inner \
             $row,0 $inner.${tag}label -anchor e -pady 2 \
@@ -2246,6 +2011,6 @@
     checkbutton $inner.ortho \
         -text "Orthographic Projection" \
-        -variable [itcl::scope _view(-ortho)] \
-        -command [itcl::code $this camera set -ortho] \
+        -variable [itcl::scope _view(ortho)] \
+        -command [itcl::code $this camera set ortho] \
         -font "Arial 9"
     blt::table $inner \
@@ -2254,5 +2019,5 @@
     incr row
 
-    blt::table configure $inner c* -resize none
+    blt::table configure $inner c* r* -resize none
     blt::table configure $inner c2 -resize expand
     blt::table configure $inner r$row -resize expand
@@ -2372,4 +2137,5 @@
     $itk_component(zCutScale) set 100
     $itk_component(zCutScale) configure -state disabled
+    #$itk_component(zCutScale) configure -state disabled
     Rappture::Tooltip::for $itk_component(zCutScale) \
         "@[itcl::code $this Slice tooltip z]"
@@ -2403,5 +2169,5 @@
     set fg [option get $itk_component(hull) font Font]
 
-    set inner [$itk_component(main) insert 0 \
+    set inner [$itk_component(main) insert end \
         -title "Molecule Settings" \
         -icon [Rappture::icon molecule]]
@@ -2412,10 +2178,4 @@
         -variable [itcl::scope _settings(molecule-visible)] \
         -command [itcl::code $this AdjustSetting molecule-visible] \
-        -font "Arial 9"
-
-    checkbutton $inner.outline \
-        -text "Show Outline" \
-        -variable [itcl::scope _settings(molecule-outline)] \
-        -command [itcl::code $this AdjustSetting molecule-outline] \
         -font "Arial 9"
 
@@ -2482,8 +2242,43 @@
         Rappture::Combobox $inner.palette -width 10 -editable no
     }
-    $inner.palette choices insert end [GetColormapList -includeElementDefault]
+    $inner.palette choices insert end \
+        "elementDefault"     "elementDefault"   \
+        "BCGYR"              "BCGYR"            \
+        "BGYOR"              "BGYOR"            \
+        "blue"               "blue"             \
+        "blue-to-brown"      "blue-to-brown"    \
+        "blue-to-orange"     "blue-to-orange"   \
+        "blue-to-grey"       "blue-to-grey"     \
+        "green-to-magenta"   "green-to-magenta" \
+        "greyscale"          "greyscale"        \
+        "nanohub"            "nanohub"          \
+        "rainbow"            "rainbow"          \
+        "spectral"           "spectral"         \
+        "ROYGB"              "ROYGB"            \
+        "RYGCB"              "RYGCB"            \
+        "brown-to-blue"      "brown-to-blue"    \
+        "grey-to-blue"       "grey-to-blue"     \
+        "orange-to-blue"     "orange-to-blue"   
+
     $itk_component(moleculepalette) value "elementDefault"
     bind $inner.palette <<Value>> \
         [itcl::code $this AdjustSetting molecule-palette]
+
+    checkbutton $inner.labels -text "Show labels on atoms" \
+        -command [itcl::code $this labels update] \
+        -variable [itcl::scope _settings(molecule-labels)] \
+        -font "Arial 9"
+    Rappture::Tooltip::for $inner.labels \
+        "Display atom symbol and serial number."
+
+    checkbutton $inner.rock -text "Rock molecule back and forth" \
+        -variable [itcl::scope _settings(molecule-rock)] \
+        -font "Arial 9"
+    Rappture::Tooltip::for $inner.rock \
+        "Rotate the object back and forth around the y-axis."
+
+    checkbutton $inner.cell -text "Parallelepiped" \
+        -font "Arial 9"
+    $inner.cell select
 
     label $inner.atomscale_l -text "Atom Scale" -font "Arial 9"
@@ -2526,24 +2321,23 @@
     blt::table $inner \
         0,0 $inner.molecule     -anchor w -pady {1 0} \
-        1,0 $inner.outline      -anchor w -pady {1 0} \
-        2,0 $inner.label        -anchor w -pady {1 0} \
-        3,0 $inner.edges        -anchor w -pady {1 0} \
-        4,0 $inner.rep_l        -anchor w -pady { 2 0 } \
-        5,0 $inner.rep          -fill x    -pady 2 \
-        6,0 $inner.rscale_l     -anchor w -pady { 2 0 } \
-        7,0 $inner.rscale       -fill x    -pady 2 \
-        8,0 $inner.palette_l    -anchor w  -pady 0 \
-        9,0 $inner.palette      -fill x    -padx 2 \
-        10,0 $inner.atomscale_l  -anchor w -pady {3 0} \
-        11,0 $inner.atomscale   -fill x    -padx 2 \
-        12,0 $inner.bondscale_l -anchor w -pady {3 0} \
-        13,0 $inner.bondscale   -fill x   -padx 2 \
-        14,0 $inner.opacity_l   -anchor w -pady {3 0} \
-        15,0 $inner.opacity     -fill x    -padx 2 \
-        16,0 $inner.quality_l   -anchor w -pady {3 0} \
-        17,0 $inner.quality     -fill x    -padx 2
+        1,0 $inner.label        -anchor w -pady {1 0} \
+        2,0 $inner.edges        -anchor w -pady {1 0} \
+        3,0 $inner.rep_l        -anchor w -pady { 2 0 } \
+        4,0 $inner.rep          -fill x    -pady 2 \
+        5,0 $inner.rscale_l     -anchor w -pady { 2 0 } \
+        6,0 $inner.rscale       -fill x    -pady 2 \
+        7,0 $inner.palette_l    -anchor w  -pady 0 \
+        8,0 $inner.palette      -fill x    -padx 2 \
+        9,0 $inner.atomscale_l  -anchor w -pady {3 0} \
+        10,0 $inner.atomscale   -fill x    -padx 2 \
+        11,0 $inner.bondscale_l -anchor w -pady {3 0} \
+        12,0 $inner.bondscale   -fill x   -padx 2 \
+        13,0 $inner.opacity_l   -anchor w -pady {3 0} \
+        14,0 $inner.opacity     -fill x    -padx 2 \
+        15,0 $inner.quality_l   -anchor w -pady {3 0} \
+        16,0 $inner.quality     -fill x    -padx 2
     
     blt::table configure $inner r* -resize none
-    blt::table configure $inner r18 -resize expand
+    blt::table configure $inner r17 -resize expand
 }
 
@@ -2557,13 +2351,13 @@
         }
         "set" {
-            set what [lindex $args 0]
-            set x $_view($what)
+            set who [lindex $args 0]
+            set x $_view($who)
             set code [catch { string is double $x } result]
             if { $code != 0 || !$result } {
                 return
             }
-            switch -- $what {
-                "-ortho" {
-                    if {$_view($what)} {
+            switch -- $who {
+                "ortho" {
+                    if {$_view(ortho)} {
                         SendCmd "camera mode ortho"
                     } else {
@@ -2571,14 +2365,14 @@
                     }
                 }
-                "-xpan" - "-ypan" {
+                "xpan" - "ypan" {
                     PanCamera
                 }
-                "-qx" - "-qy" - "-qz" - "-qw" {
-                    set q [ViewToQuaternion]
+                "qx" - "qy" - "qz" - "qw" {
+                    set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
                     $_arcball quaternion $q
                     EventuallyRotate $q
                 }
-                "-zoom" {
-                    SendCmd "camera zoom $_view($what)"
+                "zoom" {
+                    SendCmd "camera zoom $_view(zoom)"
                 }
             }
@@ -2661,200 +2455,49 @@
         "glyphs" {
             array set settings {
-                -color white
+                -color \#FFFFFF
+                -gscale 1
+                -edges 0
                 -edgecolor black
-                -edges 0
-                -gscale 1
+                -linewidth 1.0
+                -opacity 1.0
+                -wireframe 0
                 -lighting 1
-                -linewidth 1.0
-                -normscale 0
-                -opacity 1.0
-                -orientGlyphs 0
-                -outline 0
-                -ptsize 1.0
-                -quality 1
-                -scaleMode "vcomp"
-                -shape "sphere"
                 -visible 1
-                -wireframe 0
-            }
+            }
+            set shape [$dataobj shape $comp]
             array set settings $style
-            set shape [$dataobj shape $comp]
-            if {$shape != ""} {
-                set settings(-shape) $shape
-            }
-            SendCmd "outline add $tag"
-            SendCmd "outline color [Color2RGB $settings(-color)] $tag"
-            SendCmd "outline visible $settings(-outline) $tag"
-            set _settings(glyphs-outline) $settings(-outline)
-
-            SendCmd "glyphs add $settings(-shape) $tag"
-            SendCmd "glyphs normscale $settings(-normscale) $tag"
+            SendCmd "glyphs add $shape $tag"
+            SendCmd "glyphs normscale 0 $tag"
             SendCmd "glyphs gscale $settings(-gscale) $tag"
             SendCmd "glyphs wireframe $settings(-wireframe) $tag"
             SendCmd "glyphs color [Color2RGB $settings(-color)] $tag"
             #SendCmd "glyphs colormode constant {} $tag"
-            # Omitting field name for gorient and smode commands
-            # defaults to active scalars or vectors depending on mode
-            SendCmd "glyphs gorient $settings(-orientGlyphs) {} $tag"
-            SendCmd "glyphs smode $settings(-scaleMode) {} $tag"
-            SendCmd "glyphs edges $settings(-edges) $tag"
-            SendCmd "glyphs linecolor [Color2RGB $settings(-edgecolor)] $tag"
-            SendCmd "glyphs linewidth $settings(-linewidth) $tag"
-            SendCmd "glyphs ptsize $settings(-ptsize) $tag"
-            SendCmd "glyphs quality $settings(-quality) $tag"
-            SendCmd "glyphs lighting $settings(-lighting) $tag"
+            SendCmd "glyphs gorient 0 {} $tag"
+            SendCmd "glyphs smode vcomp {} $tag"
             SendCmd "glyphs opacity $settings(-opacity) $tag"
-            set _settings(glyphs-opacity) [expr 100.0 * $settings(-opacity)]
             SendCmd "glyphs visible $settings(-visible) $tag"
             set _settings(glyphs-wireframe) $settings(-wireframe)
         }
         "molecule" {
+            SendCmd "molecule add $tag"
+            SendCmd "molecule ascale $_settings(molecule-atomscale) $tag"
+            SendCmd "molecule bscale $_settings(molecule-bondscale) $tag"
+            SendCmd "molecule bstyle $_settings(molecule-bondstyle) $tag"
+            SendCmd "molecule atoms $_settings(molecule-atoms-visible) $tag"
+            SendCmd "molecule bonds $_settings(molecule-bonds-visible) $tag"
+            set _haveMolecules 1
+        }
+        "polydata" {
             array set settings {
-                -atomscale 0.3
-                -atomsvisible 1
-                -bondscale 0.075
-                -bondstyle "cylinder"
-                -bondsvisible 1
-                -color "elementDefault"
+                -color \#FFFFFF
+                -edges 1
                 -edgecolor black
-                -edges 0
-                -labels 0
-                -lighting 1
                 -linewidth 1.0
                 -opacity 1.0
-                -outline 0
-                -quality 1.0
-                -representation ""
-                -rscale "covalent"
+                -wireframe 0
+                -lighting 1
                 -visible 1
-                -wireframe 0
             }
             array set settings $style
-
-            SendCmd "outline add $tag"
-            SendCmd "outline color [Color2RGB white] $tag"
-            SendCmd "outline visible $settings(-outline) $tag"
-            set _settings(molecule-outline) $settings(-outline)
-
-            SendCmd "molecule add $tag"
-            if {$settings(-representation) != ""} {
-                switch -- $settings(-representation) {
-                    "ballandstick" {
-                        set _settings(molecule-rscale) covalent
-                        set _settings(molecule-atoms-visible) 1
-                        set _settings(molecule-bonds-visible) 1
-                        set _settings(molecule-bondstyle) cylinder
-                        set _settings(molecule-atomscale) 0.3
-                        set _settings(molecule-bondscale) 0.075
-                    }
-                    "balls" - "spheres" {
-                        set _settings(molecule-rscale) covalent
-                        set _settings(molecule-atoms-visible) 1
-                        set _settings(molecule-bonds-visible) 0
-                        set _settings(molecule-bondstyle) cylinder
-                        set _settings(molecule-atomscale) 0.3
-                        set _settings(molecule-bondscale) 0.075
-                    }
-                    "sticks" {
-                        set _settings(molecule-rscale) none
-                        set _settings(molecule-atoms-visible) 1
-                        set _settings(molecule-bonds-visible) 1
-                        set _settings(molecule-bondstyle) cylinder
-                        set _settings(molecule-atomscale) 0.075
-                        set _settings(molecule-bondscale) 0.075
-                    }
-                    "spacefilling" {
-                        set _settings(molecule-rscale) van_der_waals
-                        set _settings(molecule-atoms-visible) 1
-                        set _settings(molecule-bonds-visible) 0
-                        set _settings(molecule-bondstyle) cylinder
-                        set _settings(molecule-atomscale) 1.0
-                        set _settings(molecule-bondscale) 0.075
-                    }
-                    "rods"  {
-                        set _settings(molecule-rscale) none
-                        set _settings(molecule-atoms-visible) 1
-                        set _settings(molecule-bonds-visible) 1
-                        set _settings(molecule-bondstyle) cylinder
-                        set _settings(molecule-atomscale) 0.1
-                        set _settings(molecule-bondscale) 0.1
-                    }
-                    "wireframe" - "lines" {
-                        set _settings(molecule-rscale) none
-                        set _settings(molecule-atoms-visible) 0
-                        set _settings(molecule-bonds-visible) 1
-                        set _settings(molecule-bondstyle) line
-                        set _settings(molecule-atomscale) 1.0
-                        set _settings(molecule-bondscale) 1.0
-                    }
-                    default {
-                        error "unknown representation $value"
-                    }
-                }
-                SendCmd "molecule rscale $_settings(molecule-rscale) $tag"
-                SendCmd "molecule atoms $_settings(molecule-atoms-visible) $tag"
-                SendCmd "molecule bonds $_settings(molecule-bonds-visible) $tag"
-                SendCmd "molecule bstyle $_settings(molecule-bondstyle) $tag"
-                SendCmd "molecule ascale $_settings(molecule-atomscale) $tag"
-                SendCmd "molecule bscale $_settings(molecule-bondscale) $tag"
-                $itk_component(representation) value [$itk_component(representation) label $settings(-representation)]
-                $itk_component(rscale) value [$itk_component(rscale) label $_settings(molecule-rscale)]
-                switch -- $settings(-representation) {
-                    "ballandstick" - "balls" - "spheres" {
-                        $itk_component(rscale) configure -state normal
-                    }
-                    default {
-                        $itk_component(rscale) configure -state disabled
-                    }
-                }
-            } else {
-                SendCmd "molecule rscale $settings(-rscale) $tag"
-                set _settings(molecule-rscale) $settings(-rscale)
-                SendCmd "molecule atoms $settings(-atomsvisible) $tag"
-                set _settings(molecule-atoms-visible) $settings(-atomsvisible)
-                SendCmd "molecule bonds $settings(-bondsvisible) $tag"
-                set _settings(molecule-bonds-visible) $settings(-bondsvisible)
-                SendCmd "molecule bstyle $settings(-bondstyle) $tag"
-                set _settings(molecule-bondstyle) $settings(-bondstyle)
-                SendCmd "molecule ascale $settings(-atomscale) $tag"
-                set _settings(molecule-atomscale) $settings(-atomscale)
-                SendCmd "molecule bscale $settings(-bondscale) $tag"
-                set _settings(molecule-bondscale) $settings(-bondscale)
-            }
-            SendCmd "molecule labels $settings(-labels) $tag"
-            set _settings(molecule-labels) $settings(-labels)
-            SendCmd "molecule linecolor [Color2RGB $settings(-edgecolor)] $tag"
-            SendCmd "molecule linewidth $settings(-linewidth) $tag"
-            SendCmd "molecule edges $settings(-edges) $tag"
-            set _settings(molecule-edges) $settings(-edges)
-            SendCmd "molecule lighting $settings(-lighting) $tag"
-            set _settings(molecule-lighting) $settings(-lighting)
-            SendCmd "molecule aquality $settings(-quality) $tag"
-            SendCmd "molecule bquality $settings(-quality) $tag"
-            set _settings(molecule-quality) $settings(-quality)
-            SendCmd "molecule visible $settings(-visible) $tag"
-            set _settings(molecule-visible) $settings(-visible)
-            set _haveMolecules 1
-        }
-        "polydata" {
-            array set settings {
-                -cloudstyle "mesh"
-                -color white
-                -edgecolor black
-                -edges 1
-                -lighting 1
-                -linewidth 1.0
-                -opacity 1.0
-                -outline 0
-                -visible 1
-                -wireframe 0
-            }
-            array set settings $style
-
-            SendCmd "outline add $tag"
-            SendCmd "outline color [Color2RGB $settings(-color)] $tag"
-            SendCmd "outline visible $settings(-outline) $tag"
-            set _settings(polydata-outline) $settings(-outline)
-
             SendCmd "polydata add $tag"
             SendCmd "polydata visible $settings(-visible) $tag"
@@ -2862,5 +2505,4 @@
             SendCmd "polydata edges $settings(-edges) $tag"
             set _settings(polydata-edges) $settings(-edges)
-            SendCmd "polydata cloudstyle $settings(-cloudstyle) $tag"
             SendCmd "polydata color [Color2RGB $settings(-color)] $tag"
             #SendCmd "polydata colormode constant {} $tag"
@@ -3023,4 +2665,5 @@
         "move" {
             set axis [lindex $args 0]
+            set oldval $_axis(${axis}position)
             set newval [lindex $args 1]
             if {[llength $args] != 2} {
@@ -3050,14 +2693,14 @@
         bottom "0.707107 0.707107 0 0"
     }
-    foreach name { -qw -qx -qy -qz } value $positions($side) {
+    foreach name { qw qx qy qz } value $positions($side) {
         set _view($name) $value
     } 
-    set q [ViewToQuaternion]
+    set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
     $_arcball quaternion $q
     SendCmd "camera orient $q"
     SendCmd "camera reset"
-    set _view(-xpan) 0
-    set _view(-ypan) 0
-    set _view(-zoom) 1.0
+    set _view(xpan) 0
+    set _view(ypan) 0
+    set _view(zoom) 1.0
 }
 
